# auto-select appropriate GUI toolkit
from tkgui import *


# error messages dialog for win32 based on native WinAPI
import sys
if sys.platform == 'win32':
    try:
        import ctypes
    except ImportError:
        pass
    else:
        import logging
        ##logging.debug('Redefine showerror with WinAPI MessageBoxA')

        def showerror(title, message):
            """Show standard win32 MessageBox.
    
            @param  title:      title of dialog
            @param  message:    dialog body message
            """
            # message box from Win32API
            MessageBox = ctypes.windll.user32.MessageBoxW
            MB_OK = 0
            MB_ICONERROR = 16
            MessageBox(None, message, title, MB_OK | MB_ICONERROR)
        #/def showerror
