"""Select value from group in separate dialog"""

__all__ = ['GroupDialog']

from Tkinter import *
from tkSimpleDialog import Dialog


class GroupDialog(Dialog):

    def __init__(self, parent, title, items_list, default):
        self.items_list = items_list
        self.default = default
        __ = _
        Dialog.__init__(self, parent, __(title))

    def body(self, master):
        # body content
        self.var = StringVar()
        self.var.set(self.default)
        first = None
        __ = _
        for item in self.items_list:
            obj = Radiobutton(master, text=__(item), variable=self.var,
                              value=item)
            obj.pack(anchor=W, side=TOP)
            if first is None:
                first = obj
        return first

    def apply(self):
        self.result = self.var.get()
